# Uses of Enum Class
org.jfree.chart3d.data.NullConversion

Packages that use NullConversion
Package
Description
org.jfree.chart3d.data
Core data structures used as the building blocks for datasets in Orson Charts.

## Uses of NullConversion in org.jfree.chart3d.data

Methods in org.jfree.chart3d.data that return NullConversion
Modifier and Type
Method
Description
`static NullConversion`
NullConversion.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NullConversion[]`
NullConversion.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jfree.chart3d.data with parameters of type NullConversion
Modifier and Type
Method
Description
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>>
XYZDataset<S>`
DataUtils.`extractXYZDatasetFromColumns(KeyedValues3D<S,R,C,? extends Number> source, C xColKey, C yColKey, C zColKey, NullConversion nullConversion, List<KeyedValues3DItemKey> exceptions)`
Creates an `XYZDataset` by extracting values from specified columns in a `KeyedValues3D` instance.
`static <S extends Comparable<S>, R extends Comparable<R>, C extends Comparable<C>>
XYZDataset`
DataUtils.`extractXYZDatasetFromRows(KeyedValues3D<S,R,C,? extends Number> source, R xRowKey, R yRowKey, R zRowKey, NullConversion nullConversion, List<KeyedValues3DItemKey> exceptions)`
Creates an `XYZDataset` by extracting values from specified rows in a `KeyedValues3D` instance.